# PetscBinaryOpen

Opens a PETSc binary file.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscBinaryOpen(const char name[],int type,int *fd)

Not Collective

### Input Parameters

| name | - filename
| type | - type of binary file, on of PETSC_FILE_RDONLY, PETSC_FILE_WRONLY, PETSC_FILE_CREATE

### Output Parameter

fd -the file

### See Also

PetscBinaryRead(), PetscBinaryWrite()

Level:advanced
Location:src/sys/src/fileio/sysio.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages